package com.ym.mec.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 直播房间黑名单表(ImLiveRoomBlack)表实体类
 *
 * @author hgw
 * @since 2022-05-30 14:58:31
 */
@ApiModel(value = "im_live_room_black-直播房间黑名单表")
public class ImLiveRoomBlack implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("room_uid_")
    @ApiModelProperty(value = "直播间uid")
    private String roomUid;

    @TableField("user_id_")
    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @TableField("type_")
    @ApiModelProperty(value = "-1公共黑名单 0指定直播间黑名单")
    private Integer type;

    @TableField("create_by_")
    @ApiModelProperty(value = "创建人")
    private Integer createBy;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Integer createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }


}

